%define fedora 19
# Features in Fedora/Free Electronic Lab
#   Supported targets: EL-5, EL-6, F-15, F-16 and rawhide

# Known bug reports not treated by this SPEC:
# NONE yet

Name:          vhd2vl
Version:       2.4
Release:       alt1_4
Summary:       VHDL to Verilog translator

License:       GPLv2+
Group:         Engineering
Url:           http://doolittle.icarus.com/~larry/vhd2vl/

Source0:       http://doolittle.icarus.com/~larry/%{name}/%{name}-%{version}.tar.gz


BuildRequires: flex bison
%if 0%{?fedora}
BuildRequires: flex
%endif
Source44: import.info

%description
vhd2vl is a VHDL to Verilog translation program.
It targets the translation of synthetisable RTL.
While far from complete it supports a useful
subset of VHDL, sufficient for complex designs.


%prep
%setup -q

# rpmlint warning: W: wrong-file-end-of-line-encoding /usr/share/doc/vhd2vl-2.4/examples/gh_fifo_async16_sr.vhd
echo -n -e "... Fixing the end-of-line encodings of $f  \t"
sed -i.bak -e 's|\r||g' examples/gh_fifo_async16_sr.vhd
touch -r examples/gh_fifo_async16_sr.vhd.bak examples/gh_fifo_async16_sr.vhd
%{__rm} -f examples/gh_fifo_async16_sr.vhd.bak
echo "done"

%{__sed} -i "s|gcc \${STANDARD} \${WARNS} -O2 -g|gcc \${STANDARD} \${WARNS} %{optflags}|" src/makefile


%build
%{__make} %{?_smp_mflags} -C src


%install

%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -pm 755 src/%{name} %{buildroot}%{_bindir}


%files
%{_bindir}/%{name}
%doc README.txt GPLv2.txt changes
%doc examples translated_examples/


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_4
- initial fc import

